Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.node
Class FixedLeafOCR

    java.lang.Object
      multivalent.VObject
          multivalent.Node
              multivalent.Leaf
                  multivalent.node.LeafText
                      multivalent.node.FixedLeafOCR

All Implemented Interfaces:
  java.lang.Cloneable, Fixed, java.awt.image.ImageObserver

public class FixedLeafOCR
extends LeafText
implements Fixed, java.awt.image.ImageObserver

Draw by reaching clipping out from who page image that portion corresponding to word.

Version:
  $Revision: 1.6 $ $Date: 2002/08/14 00:53:57 $
See Also:
  `berkeley.adaptor.PDA`, `berkeley.adaptor.Xdoc`, `PDF`

Field Summary
`NFont` | `font`
`int` | `ibaseline`
`static java.lang.String` | `MODE_IMAGE`
`static java.lang.String` | `MODE_OCR`
`static java.lang.String` | `SIGNAL`

Fields inherited from class multivalent.node.LeafText
`estr_, Widths_`

Fields inherited from class multivalent.Node
`align, ALIGN_INVALID, ATTR_ID, ATTR_SCRIPT, baseline, BASELINE, bbox, BOTH, BOTTOM, CENTER, CHAR, FILL, floats, INHERIT, JUSTIFY, LEFT, MAXNONSTRUCTDEPTH, MIDDLE, name_, NONE, observers_, parent_, PROBEWIDTH, RIGHT, sticky_, stickycnt_, TOP, valid_, valign`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.node.Fixed
`ATTR_REFORMATTED`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FixedLeafOCR(java.lang.String name, java.util.Map<java.lang.String,java.lang.Object> attr, INode parent, FixedLeafImage imgnode, java.awt.Rectangle ibbox)`

Method Summary
`void` | `clipboardBeforeAfter(java.lang.StringBuffer sb, int start, int end)`
`void` | `clipboardNode(java.lang.StringBuffer sb)` To build up selection, pass a StringBuffer to media-specific leaves, which fill it as appropriate for that medium.
`void` | `dump(int level, int maxlevel)` Dump more verbose than toString().
`boolean` | `formatNodeContent(Context cx, int start, int end)`
`java.awt.Rectangle` | `getIbbox()` An "ibbox", or initial bbox, holds the absolute coordinates vs relative ones in bboxes.
`boolean` | `imageUpdate(java.awt.Image img, int infoflags, int x, int y, int width, int height)`
`boolean` | `paintNodeContent(Context cx, int start, int end)`
`int` | `size()` Number of addressable components in node: number of children in INode, number of letters in text leaf, zero for invisible nodes such as comments, and otherwise usually one (the default).
`void` | `subelementCalc(Context cx)` Calculates an array of x-position at each letter in word.
`int` | `subelementHit(java.awt.Point rel)` Given a geometric point within the leaf, return index of corresponding subcomponent (e.g., letter within word).

Methods inherited from class multivalent.node.LeafText
`append, append, append, getText, offset2rel`

Methods inherited from class multivalent.Leaf
`checkRep, copy, cut, delete, dx, dy, eatme, eventBeforeAfter, eventNode, formatBeforeAfter, formatNode, getFirstLeaf, getLastLeaf, insert, insert, isLeaf, lengthTo, markDirtySubtreeDown, paintBeforeAfter, paintNode, paste, paste, removeTidy, setName, split, subelement`

Methods inherited from class multivalent.Node
`addObserver, addSticky, addSticky, breakAfter, breakBefore, childNum, clipboardBeforeAfter, clone, cmp, commonAncestor, commonAncestor, contains, contains, deleteObserver, dump, dump, findBFS, findBFS, findBFS, findDFS, findDFS, findDFS, findDFS, getAbsLocation, getActivesAt, getActivesAt, getActivesAt, getBbox, getBrowser, getDocument, getElementById, getIScrollPane, getName, getNextLeaf, getNextNode, getNodeName, getObservers, getParentNode, getPrevLeaf, getPrevNode, getRelLocation, getRoot, getSticky, indexSticky, intersects, isStruct, isValid, markDirty, markDirtySubtree, markDirtyTo, morphInto, reformat, remove, removeSticky, removeSticky, repaint, repaint, repaint, repaint, scrollTo, scrollTo, setParentNode, setValid, sizeSticky, spanChunky, spanChunky, structChildNum, toString`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface multivalent.node.Fixed
`getBbox`

Field Detail

### SIGNAL

    public static final java.lang.String SIGNAL

See Also:
  Constant Field Values

### MODE_IMAGE

    public static final java.lang.String MODE_IMAGE

See Also:
  Constant Field Values

### MODE_OCR

    public static final java.lang.String MODE_OCR

See Also:
  Constant Field Values

### ibaseline

    public int ibaseline

### font

    public NFont font

Constructor Detail

### FixedLeafOCR

    public FixedLeafOCR(java.lang.String name,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        INode parent,
                        FixedLeafImage imgnode,
                        java.awt.Rectangle ibbox)

Method Detail

### getIbbox

    public java.awt.Rectangle getIbbox()

  Description copied from interface: `Fixed`
  An "ibbox", or initial bbox, holds the absolute coordinates vs relative ones in bboxes.

  Specified by:
    `getIbbox` in interface `Fixed`

### size

    public int size()

  Description copied from class: `Node`
  Number of addressable components in node: number of children in INode, number of letters in text leaf, zero for invisible nodes such as comments, and otherwise usually one (the default).

  Overrides:
    `size` in class `LeafText`

### formatNodeContent

    public boolean formatNodeContent(Context cx,
                                     int start,
                                     int end)

  Overrides:
    `formatNodeContent` in class `Leaf`

### imageUpdate

    public boolean imageUpdate(java.awt.Image img,
                               int infoflags,
                               int x,
                               int y,
                               int width,
                               int height)

  Specified by:
    `imageUpdate` in interface `java.awt.image.ImageObserver`

### paintNodeContent

    public boolean paintNodeContent(Context cx,
                                    int start,
                                    int end)

  Overrides:
    `paintNodeContent` in class `Leaf`

### subelementCalc

    public void subelementCalc(Context cx)

  Description copied from class: `LeafText`
  Calculates an array of x-position at each letter in word.

  Overrides:
    `subelementCalc` in class `LeafText`
  Parameters:
    `cx` - is up-to-date for this Node

### subelementHit

    public int subelementHit(java.awt.Point rel)

  Description copied from class: `Leaf`
  Given a geometric point within the leaf, return index of corresponding subcomponent (e.g., letter within word). See offset2rel().

  Overrides:
    `subelementHit` in class `LeafText`

### clipboardNode

    public void clipboardNode(java.lang.StringBuffer sb)

  Description copied from class: `Node`
  To build up selection, pass a StringBuffer to media-specific leaves, which fill it as appropriate for that medium. Need to fix this to respect subelement addressing

  Overrides:
    `clipboardNode` in class `LeafText`

### clipboardBeforeAfter

    public void clipboardBeforeAfter(java.lang.StringBuffer sb,
                                     int start,
                                     int end)

  Overrides:
    `clipboardBeforeAfter` in class `LeafText`

### dump

    public void dump(int level,
                     int maxlevel)

  Description copied from class: `Node`
  Dump more verbose than toString().

  Overrides:
    `dump` in class `Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD